package com.ruoyi.web.v1.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class HookBindBatchListDTO {
    private String batchNo;
    private String groupId;
    private String slaughterCode;
    private String hookNoList;
    private Long total;
    private Long distributeBatchId;
    private String hasBind;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bindTime;
    private String purchaserName;
    private String supplierName;
    private String animalCertNo;

    public void setBatchNo(String batchNo)
    {
        this.batchNo = batchNo;
    }

    public String getBatchNo()
    {
        return batchNo;
    }

    public void setGroupId(String groupId)
    {
        this.groupId = groupId;
    }

    public String getGroupId()
    {
        return groupId;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setHookNoList(String hookNoList)
    {
        this.hookNoList = hookNoList;
    }

    public String getHookNoList()
    {
        return hookNoList;
    }

    public void setTotal(Long total)
    {
        this.total = total;
    }

    public Long getTotal()
    {
        return total;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }

    public void setHasBind(String hasBind)
    {
        this.hasBind = hasBind;
    }

    public String getHasBind()
    {
        return hasBind;
    }

    public void setBindTime(Date bindTime)
    {
        this.bindTime = bindTime;
    }

    public Date getBindTime()
    {
        return bindTime;
    }

    public void setPurchaserName(String purchaserName)
    {
        this.purchaserName = purchaserName;
    }

    public String getPurchaserName()
    {
        return purchaserName;
    }

    public void setSupplierName(String supplierName)
    {
        this.supplierName = supplierName;
    }

    public String getSupplierName()
    {
        return supplierName;
    }

    public void setAnimalCertNo(String animalCertNo)
    {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalCertNo()
    {
        return animalCertNo;
    }
}
